package com.project.zcustom.domain.addional;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 【请填写功能名称】对象 large_plat_building_load_detail
 *
 * @author change
 * @date 2025-03-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_building_load_detail")

public class LargeBuildingLoadDetail {

    /**
     * $column.columnComment
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 编号
     */
    private String number;

    /**
     * 名称
     */
    @JSONField(name = "EqName")
    private String deviceName;

    /**
     * 类别
     */
    private String type;

    /**
     * 负载类型
     */
    private Integer state;

    /**
     * 所属配电室
     */
    private Integer kind;

}
