package com.project.zcustom.mapper.smart;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

import com.project.zcustom.domain.smart.PlatGreenSmartRank;
import org.apache.ibatis.annotations.Param;

/**
 * 绿智食堂 排名Mapper接口
 *
 * @author change
 * @date 2024-10-31
 */
public interface PlatGreenSmartRankMapper extends BaseMapper<PlatGreenSmartRank> {

    /**
     * 真删接口
     */
    Integer reallyDeleteByWrapper(@Param(Constants.WRAPPER) LambdaQueryWrapper<PlatGreenSmartRank> deleteWrapper);
}
